prev
next
ru.linux.redhat
FromVladimir Donskoy2:5020/2992.0Date Write2018-03-09 20:08:24
ToAnton Gorlov0:0/0.0Date Arrived2018-03-09 21:30:11
SubjRe: Сломался YUM
Attr
Hello Anton!

07 мар 18 23:15, Anton Gorlov wrote to Vladimir Donskoy:

VD>> Transaction check error:
VD>> package yum-3.4.3-154.el7.centos.1.noarch is already installed
VD>> Сводка ошибок
VD>> -------------
VD>> %
>>> ================= End cut =================
VD>> И что же мне делать? Можно конечно всё снести и поставить систему
VD>> заново, но как-то некузяво оно...

AG> Для начлала покаж вывод

AG> rpm -qa | grep yum

$ sudo rpm -qa | grep yum
yum-plugin-merge-conf-1.1.31-42.el7.noarch
yum-metadata-parser-1.1.4-10.el7.x86_64
yum-plugin-fastestmirror-1.1.31-42.el7.noarch
yum-3.4.3-154.el7.centos.1.noarch
yum-3.4.3-154.el7.centos.noarch
yum-utils-1.1.31-42.el7.noarch

То есть оба числятся.
И ладно ты только сам yum, но и многие остальные пакеты "двоятся"!

Например: rpm -qa | grep nginx
bx-nginx-1.12.0-1.el7.centos.ngx.x86_64
bx-nginx-1.12.2-1.el7.centos.ngx.x86_64
Или:
tzdata-2017c-1.el7.noarch
tzdata-2018c-1.el7.noarch
И даже:
binutils-2.25.1-32.base.el7_4.2.x86_64
binutils-2.25.1-32.base.el7_4.1.x86_64
systemd-sysv-219-42.el7_4.4.x86_64
systemd-libs-219-42.el7_4.4.x86_64
systemd-sysv-219-42.el7_4.7.x86_64
systemd-219-42.el7_4.7.x86_64
systemd-libs-219-42.el7_4.7.x86_64
systemd-219-42.el7_4.4.x86_64

что особенно обидно, ведь такое сносить как-то опасно...

С уважением, Vladimir Donskoy.

--- GoldED+/W32-MSVC 1.1.5-b20170303
* Origin: DVB Station (2:5020/2992)